#' enrichResult class
#'
#' @format enrichResult class with the output of:
#' ego <- enrichGO(row.names(assay(gene_ex_rse, "norm")),
#'                 org.Mm.eg.db, "ENSEMBL", ont = "BP")
"ego"

#' Data frame containing gene-mirna relationship
#'
#' @format A data frame with rows sames as gene_ex_rse and
#' columns same as mirna_ex_rse.
"ma_ex"

#' Data frame containing gene expression data
#'
#' @format gene expression data with 18 samples: 
#' example of a time series data
"gene_ex_rse"

#' Data frame containing mirna expression data
#'
#' @format mirna expression data with 18 samples: 
#' example of a time series data
"mirna_ex_rse"

#' Data frame containing mirna from Argyropoulos's paper
#'
#' Argyropoulos, Christos, et al. "Modeling bias and variation in 
#' the stochastic processes of small RNA sequencing." 
#' Nucleic Acids Research (2017).
#' @format mirna expression data in long format.
#' Train and test data to use with isoCorrect
"mirTritation"

#' Data frame containing mirna from Argyropoulos's paper
#'
#' Argyropoulos, Christos, et al. "Modeling bias and variation in 
#' the stochastic processes of small RNA sequencing." 
#' Nucleic Acids Research (2017).
#' 
#' @format mirna expression data in long format.
"dat286.long"